# Class: Directive

Defined in: | node_modules/haml-coffee/src/nodes/directive.coffee
Inherits: | Node

## Overview

Directive node for HAML statements that change the meaning or do interact uniquely with the HAML document.

### Examples:

#### include a HAML document inside of another

    +include 'path/to/template'[, context]

## Variables Summary

directives =

  Map of available directives to methods.

### Variable inherited from Node

CLEAR_WHITESPACE_LEFT CLEAR_WHITESPACE_RIGHT

## Instance Method Summary

- # (void) evaluate() Evaluate the Haml directive.

## Inherited Method Summary

### Methods inherited from Node

#addChild #getOpener #getCloser #isPreserved #isCommented #markText #markRunningCode #markInsertingCode #evaluate #render

## Instance Method Details

# (void) evaluate()

Evaluate the Haml directive.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input